【神器】点击检测你有没有最新漏洞Apache Struts2(s2-045)

重大消息!!!

Apache Struts是美国阿帕奇(Apache)软件基金会负责维护的一个开源项目。近日爆出了Apache Struts2(s2-045)漏洞,东软NetEye在第一时间为您奉上该漏洞的检测器,快来看看你的网络有没有这个漏洞吧!
漏洞在线检测地址:http://neteye.neusoft.com/vulscan/s2-045.php

 

漏洞简介

❶ 漏洞简介
Apache Struts是美国阿帕奇(Apache)软件基金会负责维护的一个开源项目,是一套用于创建企业级Java Web 应用的开源MVC框架,主要提供两个版本框架产品: Struts 1和Struts 2。
ApacheStruts 2.3.5 – 2.3.31版本及2.5 – 2.5.10版本存在远程代码执行漏洞(CNNVD-201703-152 ,CVE-2017-5638)。该漏洞是由于上传功能的异常处理函数没有正确处理用户输入的错误信息,导致远程攻击者可通过发送恶意的数据包,利用该漏洞在受影响服务器上执行任意命令。
❷ 漏洞危害
攻击者可通过发送恶意构造的HTTP数据包利用该漏洞,在受影响服务器上执行系统命令,进一步可完全控制该服务器,造成拒绝服务、数据泄露、网站造篡改等影响。由于该漏洞利用无需任何前置条件(如开启dmi ,debug等功能)以及启用任何插件,因此漏洞危害较为严重。
❸ 升级修复
受影响用户可升级版本至Apache Struts 2.3.32 或 Apache Struts 2.5.10.1以消除漏洞影响。